## WMS List Messages

WMS List Messages

## Functions

QmiMessageWmsListMessagesInput * | qmi_message_wms_list_messages_input_new ()
QmiMessageWmsListMessagesInput * | qmi_message_wms_list_messages_input_ref ()
void | qmi_message_wms_list_messages_input_unref ()
gboolean | qmi_message_wms_list_messages_input_get_message_mode ()
gboolean | qmi_message_wms_list_messages_input_set_message_mode ()
gboolean | qmi_message_wms_list_messages_input_get_message_tag ()
gboolean | qmi_message_wms_list_messages_input_set_message_tag ()
gboolean | qmi_message_wms_list_messages_input_get_storage_type ()
gboolean | qmi_message_wms_list_messages_input_set_storage_type ()
QmiMessageWmsListMessagesOutput * | qmi_message_wms_list_messages_output_ref ()
void | qmi_message_wms_list_messages_output_unref ()
gboolean | qmi_message_wms_list_messages_output_get_result ()
gboolean | qmi_message_wms_list_messages_output_get_message_list ()
void | qmi_client_wms_list_messages ()
QmiMessageWmsListMessagesOutput * | qmi_client_wms_list_messages_finish ()

## Types and Values

| QmiMessageWmsListMessagesInput
| QmiMessageWmsListMessagesOutput
| QmiMessageWmsListMessagesOutputMessageListElement

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsListMessagesInput
        ╰── QmiMessageWmsListMessagesOutput

## Description

## Functions

### qmi_message_wms_list_messages_input_new ()

    QmiMessageWmsListMessagesInput *
    qmi_message_wms_list_messages_input_new
                                   (void);

Allocates a new QmiMessageWmsListMessagesInput.

#### Returns

the newly created QmiMessageWmsListMessagesInput. The returned value should be freed with `qmi_message_wms_list_messages_input_unref()`.

Since: 1.0

### qmi_message_wms_list_messages_input_ref ()

    QmiMessageWmsListMessagesInput *
    qmi_message_wms_list_messages_input_ref
                                   (QmiMessageWmsListMessagesInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsListMessagesInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_list_messages_input_unref ()

    void
    qmi_message_wms_list_messages_input_unref
                                   (QmiMessageWmsListMessagesInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsListMessagesInput. |

Since: 1.0

### qmi_message_wms_list_messages_input_get_message_mode ()

    gboolean
    qmi_message_wms_list_messages_input_get_message_mode
                                   (QmiMessageWmsListMessagesInput *self,
                                    QmiWmsMessageMode *value_message_mode,
                                    GError **error);

Get the 'Message Mode' field from `self` .

#### Parameters

self | a QmiMessageWmsListMessagesInput. |
value_message_mode | a placeholder for the output QmiWmsMessageMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_list_messages_input_set_message_mode ()

    gboolean
    qmi_message_wms_list_messages_input_set_message_mode
                                   (QmiMessageWmsListMessagesInput *self,
                                    QmiWmsMessageMode value_message_mode,
                                    GError **error);

Set the 'Message Mode' field in the message.

#### Parameters

self | a QmiMessageWmsListMessagesInput. |
value_message_mode | a QmiWmsMessageMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_list_messages_input_get_message_tag ()

    gboolean
    qmi_message_wms_list_messages_input_get_message_tag
                                   (QmiMessageWmsListMessagesInput *self,
                                    QmiWmsMessageTagType *value_message_tag,
                                    GError **error);

Get the 'Message Tag' field from `self` .

#### Parameters

self | a QmiMessageWmsListMessagesInput. |
value_message_tag | a placeholder for the output QmiWmsMessageTagType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_list_messages_input_set_message_tag ()

    gboolean
    qmi_message_wms_list_messages_input_set_message_tag
                                   (QmiMessageWmsListMessagesInput *self,
                                    QmiWmsMessageTagType value_message_tag,
                                    GError **error);

Set the 'Message Tag' field in the message.

#### Parameters

self | a QmiMessageWmsListMessagesInput. |
value_message_tag | a QmiWmsMessageTagType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_list_messages_input_get_storage_type ()

    gboolean
    qmi_message_wms_list_messages_input_get_storage_type
                                   (QmiMessageWmsListMessagesInput *self,
                                    QmiWmsStorageType *value_storage_type,
                                    GError **error);

Get the 'Storage Type' field from `self` .

#### Parameters

self | a QmiMessageWmsListMessagesInput. |
value_storage_type | a placeholder for the output QmiWmsStorageType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_list_messages_input_set_storage_type ()

    gboolean
    qmi_message_wms_list_messages_input_set_storage_type
                                   (QmiMessageWmsListMessagesInput *self,
                                    QmiWmsStorageType value_storage_type,
                                    GError **error);

Set the 'Storage Type' field in the message.

#### Parameters

self | a QmiMessageWmsListMessagesInput. |
value_storage_type | a QmiWmsStorageType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_list_messages_output_ref ()

    QmiMessageWmsListMessagesOutput *
    qmi_message_wms_list_messages_output_ref
                                   (QmiMessageWmsListMessagesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsListMessagesOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_list_messages_output_unref ()

    void
    qmi_message_wms_list_messages_output_unref
                                   (QmiMessageWmsListMessagesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsListMessagesOutput. |

Since: 1.0

### qmi_message_wms_list_messages_output_get_result ()

    gboolean
    qmi_message_wms_list_messages_output_get_result
                                   (QmiMessageWmsListMessagesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsListMessagesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_wms_list_messages_output_get_message_list ()

    gboolean
    qmi_message_wms_list_messages_output_get_message_list
                                   (QmiMessageWmsListMessagesOutput *self,
                                    GArray **value_message_list,
                                    GError **error);

Get the 'Message List' field from `self` .

#### Parameters

self | a QmiMessageWmsListMessagesOutput. |
value_message_list | a placeholder for the output GArray of QmiMessageWmsListMessagesOutputMessageListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_wms_list_messages ()

    void
    qmi_client_wms_list_messages (QmiClientWms *self,
                                  QmiMessageWmsListMessagesInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a List Messages request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_list_messages_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsListMessagesInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_list_messages_finish ()

    QmiMessageWmsListMessagesOutput *
    qmi_client_wms_list_messages_finish (QmiClientWms *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_wms_list_messages()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_list_messages()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsListMessagesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_list_messages_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsListMessagesInput

    typedef struct _QmiMessageWmsListMessagesInput QmiMessageWmsListMessagesInput;

The QmiMessageWmsListMessagesInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsListMessagesOutput

    typedef struct _QmiMessageWmsListMessagesOutput QmiMessageWmsListMessagesOutput;

The QmiMessageWmsListMessagesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsListMessagesOutputMessageListElement

    typedef struct {
        guint32 memory_index;
        QmiWmsMessageTagType message_tag;
    } QmiMessageWmsListMessagesOutputMessageListElement;

A QmiMessageWmsListMessagesOutputMessageListElement struct.

#### Members

guint32 `memory_index`; | a guint32. |
QmiWmsMessageTagType `message_tag`; | a QmiWmsMessageTagType. |

Since: 1.0